Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils.bytecode
Class ParamNameExtractor

    java.lang.Object
      org.apache.axis.utils.bytecode.ParamNameExtractor

public class ParamNameExtractor
extends java.lang.Object

This class retieves function parameter names from bytecode built with debugging symbols. Used as a last resort when creating WSDL.

Author:
  Tom Jordahl

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ParamNameExtractor()`

Method Summary
`static java.lang.String[]` | `getParameterNamesFromDebugInfo(java.lang.reflect.Method method)` Retrieve a list of function parameter names from a method Returns null if unable to read parameter names (i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### ParamNameExtractor

    public ParamNameExtractor()

Method Detail

### getParameterNamesFromDebugInfo

    public static java.lang.String[] getParameterNamesFromDebugInfo(java.lang.reflect.Method method)

  Retrieve a list of function parameter names from a method Returns null if unable to read parameter names (i.e. bytecode not built with debug).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.